%define glib2_version		2.22
%define dbus_version		1.2
%define dbus_glib_version	0.86
%define net_snmp_version	5.5

Name: foghorn
Version: 0.1.6
Release: 11%{?dist}
Summary: D-Bus to SNMP service.
Group: System Environment/Base
License: GPLv2+
URL: http://git.fedorahosted.org/git/foghorn.git
Source0: foghorn-%{version}.tar.gz

BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires: glib2-devel >= %{glib2_version}
BuildRequires: dbus-devel >= %{dbus_version}
BuildRequires: dbus-glib-devel >= %{dbus_glib_version}
BuildRequires: net-snmp-devel >= %{net_snmp_version}
BuildRequires: systemd-units

Requires: initscripts
Requires(post): systemd-units
Requires(preun): systemd-units
Requires(postun): systemd-units

%description
Daemon that listens for D-Bus signals and translates to SNMP traps.

%prep
%setup -q

%build
%configure --prefix=/usr
make %{?_smp_mflags}

%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%post
%systemd_post foghorn.service

%preun
%systemd_preun foghorn.service

%postun
%systemd_postun_with_restart foghorn.service

%triggerun -- foghorn < 0.1.5-2
/usr/bin/systemd-sysv-convert --save foghorn >/dev/null 2>&1 ||:
/sbin/chkconfig --del foghorn >/dev/null 2>&1 || :
/bin/systemctl try-restart foghorn.service >/dev/null 2>&1 || :

%files
%defattr(-,root,root,-)
%doc README AUTHORS NEWS COPYING
%config(noreplace) %{_sysconfdir}/dbus-1/system.d/dbus-foghorn.conf
%{_unitdir}/foghorn.service
%{_datadir}/snmp/mibs/REDHAT-MIB
%{_datadir}/snmp/mibs/REDHAT-FENCE-MIB
%{_datadir}/snmp/mibs/REDHAT-FOGHORN-MIB
%{_datadir}/snmp/mibs/REDHAT-RGMANAGER-MIB
%{_mandir}/man8/foghorn*
%{_sbindir}/foghorn

%changelog
* Wed Feb 03 2016 Fedora Release Engineering <releng@fedoraproject.org> - 0.1.6-11
- Rebuilt for https://fedoraproject.org/wiki/Fedora_24_Mass_Rebuild

* Wed Jul 29 2015 Zbigniew Jędrzejewski-Szmek <zbyszek@in.waw.pl> - 0.1.6-10
- Rebuilt for librpm

* Wed Jun 17 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.1.6-9
- Rebuilt for https://fedoraproject.org/wiki/Fedora_23_Mass_Rebuild

* Sat Aug 16 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.1.6-8
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_22_Mass_Rebuild

* Sat Jun 07 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.1.6-7
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Sat Aug 03 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.1.6-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Wed Mar 20 2013 Ryan O'Hara <rohara@redhat.com> - 0.1.6-5
- Use new systemd-rpm macros in foghorn spec file.
- Resolves: rhbz#850116

* Wed Feb 13 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.1.6-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_19_Mass_Rebuild

* Thu Jul 19 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.1.6-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Wed Apr 4 2012 Ryan O'Hara <rohara@redhat.com> - 0.1.6-2
- Rebuild for broken dependencies.

* Mon Feb 6 2012 Ryan O'Hara <rohara@redhat.com> - 0.1.6-1
- Rebase to upstream version 0.1.6.
- Include REDHAT-MIB.

* Fri Jan 20 2012 Ryan O'Hara <rohara@redhat.com> - 0.1.5-2
- Add scriptlets to handle migration from SysV to systemd.
- Resolves: rhbz#767593

* Fri Jan 20 2012 Ryan O'Hara <rohara@redhat.com> - 0.1.5-1
- Rebase to upstream version 0.1.5.
- Fix problem with missing init script.

* Fri Jan 20 2012 Ryan O'Hara <rohara@redhat.com> - 0.1.4-2
- Change URL to point to git repository.

* Fri Jan 20 2012 Ryan O'Hara <rohara@redhat.com> - 0.1.4-1
- Rebase to upstream version 0.1.4.
- Include systemd unit file.

* Fri Jan 13 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.1.2-7
- Rebuilt for https://fedoraproject.org/wiki/Fedora_17_Mass_Rebuild

* Sun Jul 31 2011 Ryan O'Hara <rohara@redhat.com> - 0.1.2-6
- Rebuild for broken dependencies.

* Mon Jul 11 2011 Ryan O'Hara <rohara@redhat.com> - 0.1.2-5
- Rebuild for broken dependencies.

* Thu Mar 3 2011 Ryan O'Hara <rohara@redhat.com> - 0.1.2-2
- Update spec file.
- Resolves: rhbz#676392

* Fri Feb 4 2011 Ryan O'Hara <rohara@redhat.com> - 0.1.2-1
- Add foghorn man page.
- Rebase to upstream version 0.1.2.
- Resolves: rhbz#660324

* Fri Jan 15 2011 Ryan O'Hara <rohara@redhat.com> - 0.1.1-2
- Add requires initscripts to spec file.
- Resolves: rhbz#660324

* Fri Jan 14 2011 Ryan O'Hara <rohara@redhat.com> - 0.1.1-1
- Rebase to 0.1.1 from upstream to resolve build issues.
- Resolves: rhbz#660324

* Thu Jan 13 2011 Ryan O'Hara <rohara@redhat.com> - 0.1-1
- Initial release.
